csvsurfacelist.h File Reference

Exports normal surface lists to plain text CSV files. More...

`#include <iostream>`
`#include "regina-core.h"`
`#include "surfaces/nnormalsurfacelist.h"`

## Namespaces

| regina
| Contains the entire Regina calculation engine.

## Functions

REGINA_API bool | regina::writeCSVStandard (const char *filename, NNormalSurfaceList &surfaces, int additionalFields=surfaceExportAll)
| Deprecated function that exports the given list of normal surfaces as a plain text CSV (comma-separated value) file, using standard triangle-quadrilateral coordinates. More...
REGINA_API bool | regina::writeCSVEdgeWeight (const char *filename, NNormalSurfaceList &surfaces, int additionalFields=surfaceExportAll)
| Deprecated function that exports the given list of normal surfaces as a plain text CSV (comma-separated value) file, using edge weight coordinates. More...

## Detailed Description

Exports normal surface lists to plain text CSV files.

Deprecated:
  The enumeration type SurfaceExportFields (which was once declared in this file) is now declared in surfaces/nnormalsurfacelist.h. Moreover, all global functions that were once declared in this file have now been renamed to member functions of NNormalSurfaceList. Please include surfaces/nnormalsurfacelist.h instead.

Copyright © 1999-2014, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@debian.org).